<?php
// If this file is called directly, abort.
if (!defined( 'WPINC')) {
	die;
}

/* @var $this postitAdmin */
$postit_api_key = get_option('postit_api_key', '');
$api_key = $this->getOption('api_key', '');
$api_type = $this->getOption('api_type', 'v1_1');
$api_types = $this->getSettings('api_type');

?><div class="wrap">
	<h1><?php _e('Postit.lt WEB API integration', 'postit-lt'); ?></h1>
	<form method="post" action="options.php">
		<?php settings_fields('postit_options_group'); ?>
		<?php 
		_e('<p>Lithuanian post code and address search.</p><p>This integration works only with valid WEB API key. <a href="https://postit.lt/kontaktai/" target="_blank">Write to us</a> to get one.<br><a href="https://postit.lt/API/" target="_blank">API documentation and terms of use</a>.</p>', 'postit-lt');
		
		/*
		<p>Lietuvos pašto kodų ir adresų automatinės paieškos integracija.</p>
		<p>Ši integracija veikia tik su įvestu API raktu, kurį galima gauti nurodytais <a href="https://postit.lt/kontaktai/" target="_blank">kontaktais</a>.<br><a href="https://postit.lt/API/" target="_blank">API dokumentacija ir naudojimo sąlygos</a>.</p>
		 */
		?>
	<table class="form-table">
	<tr valign="top">
		<th scope="row"><label for="postit_api_key"><?php _e('WEB API key', 'postit-lt'); ?></label></th>
		<td><input type="text" id="postit_api_key" name="<?php $this->echoOptionFormName('api_key'); ?>" value="<?= $api_key; ?>" class="regular-text" />
			<?php 
			if ($api_key !== '' && !$this->isValidApiKey($api_key)){
				?><p class="description" style="color:red"><?php _e('The WEB API key is invalid or expired', 'postit-lt'); ?></p><?php
			}
			if($postit_api_key !== ''){
				?><p class="description"><?php printf(__('Found WEB API key: <strong>%s</strong>', 'postit-lt'), $postit_api_key); ?></p><input type="hidden" name="postit_api_key" value=""/><?php
			} 
		?></td>
	</tr>
	<?php
	
	if($this->getOption('api_key', '') !== ''){
		?>
	<tr valign="top">
		<th scope="row"><label><?php _e('WEB API integration type', 'postit-lt'); ?></label></th>
		<td><fieldset><?php 
		
		if(is_array($api_types)){
			foreach($api_types as $one){
				?><label><input type="radio" name="<?php $this->echoOptionFormName('api_type'); ?>" value="<?= $one['type']; ?>"<?php echo ($api_type === $one['type'] ? ' checked' : ''); ?>><?= $one['title']; ?></label><br><?php
			}	
		}
		?></fieldset></td>
	</tr>
	
	<?php if ($this->getWoocommercePluginStatus()){ ?>
	<tr valign="top">
		<th scope="row"><label for="postit_woo_integration"><?php _e('Woocommerce integration', 'postit-lt'); ?></label></th>
		<td><fieldset>
			<label><input id="postit_woo_integration" type="checkbox" name="<?php $this->echoOptionFormName('only_woo_checkout'); ?>" value="1"<?php echo ($this->getOption('only_woo_checkout', 1) ? ' checked' : ''); ?>><?php _e('Include WEB API code <u>only</u> in Woocommerce checkout page', 'postit-lt'); ?></label><br>
		</fieldset></td>
	</tr>
	<?php } ?>
	
	<tr valign="top">
		<th scope="row"><label for="postit_options_prefix"><?php _e('Post code prefix', 'postit-lt'); ?></label></th>
		<td><input type="text" id="postit_options_prefix" name="<?php $this->echoOptionFormName('prefix'); ?>" value="<?php $this->echoOption('prefix'); ?>" class="regular-text" /></td>
	</tr>
	<tr valign="top">
		<th scope="row"><label for="postit_options_label_sufix"><?php _e('Address suggestion label sufix', 'postit-lt'); ?></label></th>
		<td><input type="text" id="postit_options_label_sufix" name="<?php $this->echoOptionFormName('label_sufix'); ?>" value="<?php $this->echoOption('label_sufix'); ?>" class="regular-text" /></td>
	</tr>
	<?php 
	$selectors = $this->getSettings('input_selectors');
	if(is_array($selectors)){
	foreach ($selectors as $id){ 
		$key = 'input_'.$id;
		?>
	<tr valign="top">
		<th scope="row"><label for="postit_<?= $key; ?>"><?php printf(__('Input selector for "%s"', 'postit-lt'), $id); ?></label></th>
		<td><input type="text" id="postit_<?= $key; ?>" name="<?php $this->echoOptionFormName($key); ?>" value="<?php $this->echoOption($key); ?>" class="regular-text" required/></td>
	</tr>
	<?php }} ?>
	
	<tr valign="top">
		<th scope="row"><label for="postit_options_limit"><?php _e('Address suggestion item limit', 'postit-lt'); ?></label></th>
		<td><select name="<?php $this->echoOptionFormName('limit'); ?>"><?php 
		$api_limit = $this->getOption('limit', '10');
		$api_limits = $this->getSettings('limit');
		if(is_array($api_limits)){
			foreach($api_limits as $one){
				?><option value="<?= $one; ?>"<?php echo ($api_limit == $one ? ' selected' : ''); ?>><?= $one; ?></option><?php
			}	
		}
		?></select></td>
	</tr>
	<?php
	}
	
	?>
	</table>
	<?php  submit_button(); ?>
	</form>
</div>