<?php

class postitBase{
	
	const PLUGIN_NAME = 'postit-lt';
	const OPTION_PREFIX = 'postit_options';

	protected $plugin_dir_path = '';
	protected $options = array();
	protected $settings = array();
	
	public function __construct() {
		$this->initParams();
		$this->initOptions();
		$this->initSettings();
	}
	
	public function run(){
		
	}

	protected function initParams(){
		$this->plugin_dir_path = plugin_dir_path( __DIR__ );
		$this->plugin_dir_url = plugin_dir_url( __DIR__ );
	}
	
	protected function initOptions(){
		$this->options = get_option(self::OPTION_PREFIX);
	}
	
	protected function initSettings(){
		$this->settings = require $this->getPluginDirPath('includes/settings/api-settings.php');
	}
	
	public function getWoocommercePluginStatus(){
		// if you are using a custom folder name other than woocommerce just define the constant to TRUE
		if (defined('RUNNING_CUSTOM_WOOCOMMERCE') && RUNNING_CUSTOM_WOOCOMMERCE === true) {
			return true;
		}
		// it the plugin is active, we're good.
		if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
			return true;
		}
		// lets check for network activation woo installs now too.
		if (function_exists('is_plugin_active_for_network')) {
			return is_plugin_active_for_network( 'woocommerce/woocommerce.php');
		}
		return false;
	}


	public function getPluginDirPath($add_path = ''){
		return $this->plugin_dir_path . ltrim($add_path, '/');
	}
	
	public function getPluginDirUrl($add_path = ''){
		return $this->plugin_dir_url . ltrim($add_path, '/');
	}
	
	public function getOption($key = null, $default = null){
		if($key === null){
			return $this->options;
		}
		else if(isset($this->options[$key])){
			return $this->options[$key];
		}
		return $default;
	}
	
	public function echoOption($key, $default = ''){
		echo $this->getOption($key, $default);
	}
	
	public function echoOptionFormName($key){
		echo self::OPTION_PREFIX.'['.$key.']';
	}
	
	public function getSettings($key = null, $default = null){
		if(null === $key){
			return $this->settings;
		}
		else if(isset($this->settings[$key])){
			return $this->settings[$key];
		}
		return $default;
	}
}