<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://postit.lt
 * @since             1.1.0
 *
 * @wordpress-plugin
 * Plugin Name:       Post codes by postit.lt
 * Plugin URI:        https://postit.lt
 * Description:       Postit.lt API plugin
 * Version:           1.1.0
 * Author:            UAB Euro Info
 * Author URI:        https://www.euroinfo.lt
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       postit-lt
 * Domain Path:       /languages
 * Requires at least: 4.4
 * Tested up to:      4.9.6
 */

// If this file is called directly, abort.
if (!defined( 'ABSPATH')) {
	die;
}

define('POSTIT_LT_VERSION', '1.1.0');

require_once 'includes/postit-base.php';

if (is_admin()){
	require_once 'admin/postit-admin.php';
	$postit = new postitAdmin();
}
else {
	require_once 'public/postit-public.php';
	$postit = new postitPublic();
}

if(isset($postit) && $postit instanceof postitBase){
	$postit->run();
}